# Podman & Salt testing environment

Compiles Podman from scratch and installs the necessary dependencies to use it from Salt.

1. Install Ubuntu-22.04
2. Install Salt 3005.1 (onedir)
3. Run `salt-call state.apply podman.compile`
4. Run `salt-call state.apply podman.container`
5. `curl http://localhost:8080`

## Available states

### podman.compile

Compile Podman from scratch and run it.

### podman.docker

Install Docker and run it.

### podman.salt

Install `docker` Python library, configure and restart Salt Minion. It also has optional `requests` patch (commented out) to debug API calls

By default, Salt Minion will use Podman socket to run containers. If you run `salt-call state.apply podman.salt pillar="{docker: true}"`, it will switch back to Docker.

### podman.container

A simple test state to run the httpd container. Can be tested with `curl -s http://localhost:8080`
