Docker config:
  file.managed:
    - name: /etc/salt/minion.d/docker.conf
    - contents: |
        docker.url: {% if pillar.get('docker', False) %}unix:/run/docker.sock{% else %}unix:/run/podman/podman.sock{% endif %}
        docker.version: '1.35'

# Only for debugging docker/podman api compatibility issues
# For some reason, prints do not work both for /usr/lib/python3/dist-packages/requests/sessions.py and /opt/saltstack/salt/run/requests/sessions.py
# Patch requests:
#   file.patch:
#     - name: /opt/saltstack/salt/run/requests/sessions.py
#     - source: salt://podman/requests.patch

# Salt docker module is not compatible with docker>=6.0.0
Docker python:
  pip.installed:
    - reload_modules: true
    - pkgs:
        - docker==5.0.3
        - websocket-client==1.4.1

Restart Salt minion:
  cmd.run:
    - name: 'salt-call service.restart salt-minion'
    - bg: true
    - onchanges:
      - pip: Docker python
      - file: Docker config
